diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/helper/traffic-control-helper.h ns-3.43/src/traffic-control/helper/traffic-control-helper.h
--- ns-3.42/src/traffic-control/helper/traffic-control-helper.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/helper/traffic-control-helper.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/cobalt-queue-disc.cc ns-3.43/src/traffic-control/model/cobalt-queue-disc.cc
--- ns-3.42/src/traffic-control/model/cobalt-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/cobalt-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Cobalt, the CoDel - BLUE - Alternate Queueing discipline
  * Based on linux code.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/cobalt-queue-disc.h ns-3.43/src/traffic-control/model/cobalt-queue-disc.h
--- ns-3.42/src/traffic-control/model/cobalt-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/cobalt-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Cobalt, the CoDel - BLUE - Alternate Queueing discipline
  * Based on linux code.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/codel-queue-disc.cc ns-3.43/src/traffic-control/model/codel-queue-disc.cc
--- ns-3.42/src/traffic-control/model/codel-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/codel-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Andrew McGregor
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Codel, the COntrolled DELay Queueing discipline
  * Based on ns2 simulation code presented by Kathie Nichols
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/codel-queue-disc.h ns-3.43/src/traffic-control/model/codel-queue-disc.h
--- ns-3.42/src/traffic-control/model/codel-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/codel-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Andrew McGregor
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Codel, the COntrolled DELay Queueing discipline
  * Based on ns2 simulation code presented by Kathie Nichols
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fifo-queue-disc.cc ns-3.43/src/traffic-control/model/fifo-queue-disc.cc
--- ns-3.42/src/traffic-control/model/fifo-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fifo-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fifo-queue-disc.h ns-3.43/src/traffic-control/model/fifo-queue-disc.h
--- ns-3.42/src/traffic-control/model/fifo-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fifo-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-cobalt-queue-disc.cc ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.cc
--- ns-3.42/src/traffic-control/model/fq-cobalt-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2020 NITK Surathkal (adapted for COBALT)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-cobalt-queue-disc.h ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.h
--- ns-3.42/src/traffic-control/model/fq-cobalt-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2020 NITK Surathkal (adapted for COBALT)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-codel-queue-disc.cc ns-3.43/src/traffic-control/model/fq-codel-queue-disc.cc
--- ns-3.42/src/traffic-control/model/fq-codel-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-codel-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-codel-queue-disc.h ns-3.43/src/traffic-control/model/fq-codel-queue-disc.h
--- ns-3.42/src/traffic-control/model/fq-codel-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-codel-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-pie-queue-disc.cc ns-3.43/src/traffic-control/model/fq-pie-queue-disc.cc
--- ns-3.42/src/traffic-control/model/fq-pie-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-pie-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2018 NITK Surathkal (modified for FQ-PIE)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/fq-pie-queue-disc.h ns-3.43/src/traffic-control/model/fq-pie-queue-disc.h
--- ns-3.42/src/traffic-control/model/fq-pie-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/fq-pie-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2018 NITK Surathkal (modified for FQ-PIE)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/mq-queue-disc.cc ns-3.43/src/traffic-control/model/mq-queue-disc.cc
--- ns-3.42/src/traffic-control/model/mq-queue-disc.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/mq-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stavallo@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/mq-queue-disc.h ns-3.43/src/traffic-control/model/mq-queue-disc.h
--- ns-3.42/src/traffic-control/model/mq-queue-disc.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/mq-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stavallo@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/packet-filter.cc ns-3.43/src/traffic-control/model/packet-filter.cc
--- ns-3.42/src/traffic-control/model/packet-filter.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/packet-filter.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "packet-filter.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/packet-filter.h ns-3.43/src/traffic-control/model/packet-filter.h
--- ns-3.42/src/traffic-control/model/packet-filter.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/model/packet-filter.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef PACKET_FILTER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/pfifo-fast-queue-disc.cc ns-3.43/src/traffic-control/model/pfifo-fast-queue-disc.cc
--- ns-3.42/src/traffic-control/model/pfifo-fast-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/pfifo-fast-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007, 2014 University of Washington
  *               2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  *           Tom Henderson <tomhend@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/pfifo-fast-queue-disc.h ns-3.43/src/traffic-control/model/pfifo-fast-queue-disc.h
--- ns-3.42/src/traffic-control/model/pfifo-fast-queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/pfifo-fast-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007, 2014 University of Washington
  *               2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  *           Tom Henderson <tomhend@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/pie-queue-disc.cc ns-3.43/src/traffic-control/model/pie-queue-disc.cc
--- ns-3.42/src/traffic-control/model/pie-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/pie-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya Ks <shravya.ks0@gmail.com>
  *          Smriti Murali <m.smriti.95@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/pie-queue-disc.h ns-3.43/src/traffic-control/model/pie-queue-disc.h
--- ns-3.42/src/traffic-control/model/pie-queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/pie-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya Ks <shravya.ks0@gmail.com>
  *          Smriti Murali <m.smriti.95@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/prio-queue-disc.cc ns-3.43/src/traffic-control/model/prio-queue-disc.cc
--- ns-3.42/src/traffic-control/model/prio-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/prio-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/prio-queue-disc.h ns-3.43/src/traffic-control/model/prio-queue-disc.h
--- ns-3.42/src/traffic-control/model/prio-queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/prio-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/queue-disc.cc ns-3.43/src/traffic-control/model/queue-disc.cc
--- ns-3.42/src/traffic-control/model/queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007, 2014 University of Washington
  *               2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "queue-disc.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/queue-disc.h ns-3.43/src/traffic-control/model/queue-disc.h
--- ns-3.42/src/traffic-control/model/queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007, 2014 University of Washington
  *               2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef QUEUE_DISC_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/red-queue-disc.cc ns-3.43/src/traffic-control/model/red-queue-disc.cc
--- ns-3.42/src/traffic-control/model/red-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/red-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright © 2011 Marcos Talau
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marcos Talau (talau@users.sourceforge.net)
  *
